Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163237 - GUI allows cluster node and fence device to have the same name
Summary: GUI allows cluster node and fence device to have the same name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 12:42 UTC by Mustafa Mahudhawala
Modified: 2009-04-16 20:10 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:48:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:753 normal SHIPPED_LIVE system-config-cluster bug update 2005-10-07 04:00:00 UTC

Description Mustafa Mahudhawala 2005-07-14 12:42:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Allowing the cluster node and fence devices to share the same name, causes problems with Relax-NG validation later.

Relax-NG validity error : Extra element fencedevices in interleave 
/etc/cluster/cluster.conf:21: element fencedevices: Relax-NG validity error : Element cluster failed to validate content 
/etc/cluster/cluster.conf fails to validate 

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

How reproducible:
Always

Steps to Reproduce:
Create a conf file using system-config-cluster with cluster node and fence device having the same name.

Actual Results:  Allows to create a cluster conf file where fence device and cluster node share the same name.

Expected Results:  Should not allow.

Additional info:

Comment 1 Stanko Kupcevic 2005-07-26 15:40:20 UTC
Fixed in Errata Candidate

Comment 2 Corey Marthaler 2005-09-06 22:04:29 UTC
fixed verified in 1.0.15

Comment 3 Red Hat Bugzilla 2005-10-07 16:48:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html



Note You need to log in before you can comment on or make changes to this bug.